| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations
msgout.h File Reference

## Classes
class | wxMessageOutput
| Simple class allowing to write strings to various output channels. More...
class | wxMessageOutputStderr
| Output messages to stderr or another STDIO file stream. More...
class | wxMessageOutputBest
| Output messages in the best possible way. More...
class | wxMessageOutputDebug
| Output messages to the system debug output channel. More...
class | wxMessageOutputMessageBox
| Output messages by showing them in a message box. More...

## Enumerations
enum | wxMessageOutputFlags { wxMSGOUT_PREFER_STDERR = 0, wxMSGOUT_PREFER_MSGBOX = 1 }
| Flags used with wxMessageOutputBest. More...

## Enumeration Type Documentation

enum wxMessageOutputFlags

Flags used with wxMessageOutputBest.

See wxMessageOutputBest::wxMessageOutputBest().

Enumerator:

  wxMSGOUT_PREFER_STDERR | use stderr if available (this is the default)
  wxMSGOUT_PREFER_MSGBOX | always use message box if available